<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MoxitServer Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classMoxitServer.html">MoxitServer</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a0e4d00dacf1fddd87bb2bd2e93c7f979">acceptConnection</a>()</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a7000acb21bf5fb4ae7e62473697382bd">addEpollWriteEvent</a>(const Request &amp;request, const std::string &amp;response)</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a6db04833cb6adf5c54c17005d73bec53">addHandlers</a>()</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a1cf829394a93cb21c1f51b0bc83ab534">closeServer</a>()</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a0ad33e0e6d0d824823dadaaf758ae498">configureEpoll</a>(int socket, epoll_event *event=nullptr)</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#aab66542e70f820212b452e081c61e224">createdGameCounter</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#ac524f1c5355989b7d8cdc61092ff3263">k_backlogSize</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a0030e56429f7047ba6e1f5c27e8b95f4">k_threadPoolSize</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a14c168e115aca57dc9cd0f818b470201">m_clientSocketFds</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a7cd3b8f962bc132586ab629e0e3c24a6">m_epfd</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a76af6d8d08643683f608e15cb00c2fc4">m_evlist</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#ac76fc67d56504bea0f4e2b9af1a93c49">m_games</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a04311593233a95734a7a5ebbff08b07c">m_gameStateSockets</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#accd4e8d13caef3f398c2bb8db150bd4c">m_handlers</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#aeadf910ac6b5cd14f1690d9b9d8bcbce">m_ip_address</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a99eb797e882eccfd4c7e354e6bd13c1b">m_numOfClients</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a666ed13291b3437b4edc69862c40ebea">m_port</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#aad28f72d540a777bd6bd2e28f19743f0">m_running</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#ab4b11b84d055e1a330240be3504cc465">m_socket</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a9f703c913fed1ff7c92587868d7d2ced">m_socketAddress</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#aa8aba33a384400ac9368eb64ad84da17">m_socketAddress_length</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#ad0dc6effca9577805c18bb5d09de73e4">m_worker_threads</a></td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a6656c3b00da6d383a3382d0beb0ed41b">MoxitServer</a>(std::string ip_address, int port)</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a7810af2b4e6f9703f039f6ff5c3cef8d">post</a>(const std::string &amp;path, const HandlerType &amp;handler)</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a20e0cc1f5bec89daf4a7ff46d13c41eb">processConnection</a>(int socket, HttpStatus *httpStatus) const</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a0e3a012b7cdb32afda6ca56e017e90be">readFromClient</a>(int client, HttpStatus *httpStatus)</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#aed8d069006c7ec1f448f1825d76fd1dc">setUpEpoll</a>()</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#a536eacacba0de2cec5c54fef1b6490cf">startListen</a>()</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#ae113d589a464cf3322f208e27c991ed6">startServer</a>()</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#af62885cc6e61a4e339daccdd1b13c1d8">startWorkerThread</a>()</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#aa435ab97288dd6a4997d59b304b91581">use</a>(Method method, const std::string &amp;path, const HandlerType &amp;handler)</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classMoxitServer.html#aec4a32749b763ec6ecdcd6de49768d2e">writeToClient</a>(HttpStatus *httpStatus)</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classMoxitServer.html#a473ad2a88e8a75277320d0798b87b29e">~MoxitServer</a>()</td><td class="entry"><a class="el" href="classMoxitServer.html">MoxitServer</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
